/*
 * current_db.h
 *
 * Functions returning info about current database
 *
 * Copyright (c) Joseph Conway <joe.conway@mail.com>, 2001;
 * Licence: BSD
 *
 */

#ifndef CURRENT_DB_H
#define CURRENT_DB_H

#include <string.h>
#include <ctype.h>
#include "postgres.h"
#include "access/heapam.h"
#include "fmgr.h"
#include "utils/acl.h"
#include "utils/builtins.h"
#include "utils/syscache.h"
#include "catalog/pg_shadow.h"

#include "storage/proc.h"
#include "catalog/catname.h"
#include "utils/fmgroids.h"
#include "catalog/pg_database.h"

extern Datum current_dbname(PG_FUNCTION_ARGS);
extern Datum current_dboid(PG_FUNCTION_ARGS);
extern Datum current_dbownername(PG_FUNCTION_ARGS);
extern Datum current_dbownerid(PG_FUNCTION_ARGS);

#endif	 /* CURRENT_DB_H */
